# OSGeo::FDO::Schema::PropertyValueConstraintRange Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::PropertyValueConstraintRange:

[legend]

List of all members.

## Detailed Description

PropertyValueConstraintRange is used to specify minimum and / or maximum allowed values for a particular property. It can be used for all data property types except for Boolean, BLOB, or CLOB. One or the other or both of MinValue and MaxValue must be specified. If both are specified, then MaxValue must be greater than or equal to MinValue and if either MinInclusive or MaxInclusive are false, then MaxValue must be greater than MinValue. MinValue and MaxValue if specified must be valid values for the property type. E.g. if the property is decimal(4,0), then the maximum possible MaxValue is 9999. If the data property definition includes a non-null default value, then this constraint is applied to that value as well. If the data property definition allows nulls, a null value is considered as being valid regardless of the range constraint.

()

## Public Member Functions
__property System::Boolean | get_MaxInclusive ()
| Returns a bool to indicate if the maximum value is inclusive or exclusive. This is the difference between ?=?and ?? This is a boolean type where true means inclusive.
__property OSGeo::FDO::Expression::DataValue * | get_MaxValue ()
| Get the maximum allowed value. The type of this is the same as the type of the property. E.g. if the property is int32, then this value is int32.
__property System::Boolean | get_MinInclusive ()
| Returns a bool to indicate if the minimum value is inclusive or exclusive. This is the difference between ?=?and ?? This is a boolean type where true means inclusive.
__property OSGeo::FDO::Expression::DataValue * | get_MinValue ()
| Get the minimum allowed value. The type of this is the same as the type of the property. E.g. if the property is int32, then this value is int32.
| PropertyValueConstraintRange (OSGeo::FDO::Expression::DataValue *minValue, OSGeo::FDO::Expression::DataValue *maxValue)
| Constructs and populates an instance of an PropertyValueConstraintRange.
| PropertyValueConstraintRange ()
| Constructs an empty instance of an PropertyValueConstraintRange.
__property System::Void | set_MaxInclusive (System::Boolean value)
| Returns a bool to indicate if the maximum value is inclusive or exclusive. This is the difference between ?=?and ?? This is a boolean type where true means inclusive.
__property System::Void | set_MaxValue (OSGeo::FDO::Expression::DataValue *value)
| Set the maximum allowed value.
__property System::Void | set_MinInclusive (System::Boolean value)
| Set the minimum value to inclusive or exclusive. This is the difference between ?=? and ??
__property System::Void | set_MinValue (OSGeo::FDO::Expression::DataValue *value)
| Set the minimum allowed value.